using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface IClientStorage
    {
        List<ClientViewModel> GetFullList();
        List<ClientViewModel> GetFilteredList(ClientSearchModel Model);
        ClientViewModel? GetElement(ClientSearchModel Model);
        ClientViewModel? Insert(ClientBindingModel Model);
        ClientViewModel? Update(ClientBindingModel Model);
        ClientViewModel? Delete(ClientBindingModel Model);
    }
}